Bug 2098 - user/group apache runs as is " nobody "
Summary: user/group apache runs as is " nobody "
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-09 20:35 UTC by Jeremiah Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-04-10 02:37:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremiah Johnson 1999-04-09 20:35:20 UTC
In the apache documentation they suggest for running apache
as a non-root user, but they also suggest making a user
specifically for apache and not using " nobody " or " nouser
".  Is it possible that we could distribute apache
configured to run as " httpd " or somthing similar?

Comment 1 Cristian Gafton 1999-04-10 02:37:59 UTC
This will break previous installations of apache that might already
count on apache running as nobody. Under normal conitions, nobody does
not own anything on the file system anyway.

Comment 2 rossigee 1999-12-21 11:45:59 UTC
I disagree with this resolution. I also believe that apache should run with it's
own user. After all, 'gdm' and 'xfs' and other daemons do.

For example, I have a secret key file that is shared between an Apache DSO
(mod_jserv.so) and a seperate Java process, running a processing engine. To
ensure secure communications between the two, they share a common key file. I
have the permissions set to 600, owned by the user 'apache'. If this was owned
by 'nobody', I would consider this a security hazard.


Note You need to log in before you can comment on or make changes to this bug.